> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuddl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new location

> Use this endpoint to create a new location for a specific event type in your Zuddl organization.

Required API key scopes: `WRITE`

**This API can only be called with an access key that was generated for Backend usage.**



## OpenAPI

````yaml https://api.prod.zuddl.com/api/v3/api-docs/api-product post /v1/events/{eventId}/locations
openapi: 3.1.0
info:
  title: Zuddl API Documentation
  description: >-
    Zuddl RESTful APIs let you interact with the Zuddl platform and take action
    for your event or webinar. They let you add attendees, get attendee details,
    get event details, and more.


    The API response is returned in JSON, which your systems can easily consume.


    The API parameters allow you to customize the response using filters,
    sorting, pagination, and other parameters. Parameter values should be
    percent-encoded (URL-encoded) to ensure correct transmission, especially if
    they contain special characters such as spaces, semi-colons, or slashes.


    # Rate limits


    | Metrics | Value |

    | --- | --- |

    | Requests/second | 10 |

    | Burst or no. of concurrent calls allowed | 100 requests |

    | Total quota | 10000 requests/day |
  version: '1.0'
servers:
  - url: https://api.zuddl.com/
security:
  - api_key: []
tags:
  - name: Events
    description: API endpoints for managing events
  - name: Attendees
    description: >-
      The attendee APIs let you add and retrieve attendee in a particular event
      type.
  - name: Sessions
    description: API endpoints for managing event sessions
  - name: Speakers
    description: API endpoints for managing event speakers
  - name: Sponsors
    description: API endpoints for managing event sponsors
  - name: Locations
    description: API endpoints for managing event locations
paths:
  /v1/events/{eventId}/locations:
    post:
      tags:
        - Locations
      summary: Create a new location
      description: >-
        Use this endpoint to create a new location for a specific event type in
        your Zuddl organization.


        Required API key scopes: `WRITE`


        **This API can only be called with an access key that was generated for
        Backend usage.**
      operationId: createLocation
      parameters:
        - name: eventId
          in: path
          description: Unique identifier of the event
          required: true
          schema:
            type: string
            pattern: >-
              ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/org.events.app.domain.api_product.event.location.dtos.LocationCreateRequest
        required: true
      responses:
        '201':
          description: Location created successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app.domain.api_product.event.location.dtos.LocationDetails
        '400':
          description: Invalid event ID supplied
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '401':
          description: Unauthorized access to event
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '404':
          description: Event not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
components:
  schemas:
    org.events.app.domain.api_product.event.location.dtos.LocationCreateRequest:
      properties:
        name:
          type: string
          description: Name of the location (complete address)
          example: Conference Hall A, Tech Park
          maxLength: 100
          minLength: 0
        mapLink:
          type: string
          description: Google Maps or other map service link for the location
          example: https://maps.google.com/...
          maxLength: 400
          minLength: 0
          pattern: >-
            https?://(?:www\d*\.)?[\p{L}\p{N}@:%._+~#=-]{1,256}\.[\p{L}\p{N}()]{1,6}\b[\p{L}\p{N}()!@:%_+.~#?&/=-]*
      required:
        - name
    org.events.app.domain.api_product.event.location.dtos.LocationDetails:
      properties:
        kind:
          type: string
        url:
          type: string
          format: uri
        id:
          type: string
          format: uuid
          description: Unique identifier of the location
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d
        name:
          type: string
          description: Name of the location (complete address)
          example: Conference Hall A, Tech Park
        mapLink:
          type: string
          description: Google Maps or other map service link for the location
          example: https://maps.google.com/...
    org.events.app._internal._response.v1.ApiErrorResponse:
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
        description:
          type: string
        errors:
          type: object
          additionalProperties:
            type: string
  securitySchemes:
    api_key:
      type: apiKey
      description: Provide your API key secret in the `Authorization` header
      name: Authorization
      in: header

````